Subject: Virtual ssl host terminates connection unexpectedly

From: Akita <[email-masked]>
Date: Thu, 19 Jun 2003 15:48:05 +0200

Hi

I try to set-up a virtuall ssl-host (apache 1.3.27-r3; 
buchhaltung.thiam.ch). However, when I connect to it (Mozilla 1.3), I 
only get the alert:
"The connection to buchhaltung.thiam.ch has terminated unexpectedly. 
Some data may have been transferred."

I don't know, what I mis-configurred (Gentoo Linux).

from apache.conf
----------------
Include conf/commonapache.conf
ServerName www.thiam.ch
LockFile /etc/apache/httpd.lock
# Thiemo Kellner, [email-masked], 2003-04-25
#Include conf/addon-modules/mailman.conf
Include conf/addon-modules/mod_ssl.conf
Include conf/addon-modules/mod_dav.conf
Include conf/addon-modules/mod_gzip.conf
#Include conf/addon-modules/mod_mp3.conf
Include  conf/addon-modules/mod_php.conf

from conf/commonapache.conf
---------------------------
NameVirtualHost *
Include /etc/apache/conf/buchhaltung.conf

conf/addon-modules/mod_ssl.conf
-------------------------------
<IfModule mod_ssl.c>
   Listen 443
   AddType application/x-x509-ca-cert .crt
   AddType application/x-pkcs7-crl    .crl
   SSLPassPhraseDialog  builtin
   SSLSessionCache        shm:logs/ssl_scache(512000)
   SSLSessionCacheTimeout  300
   SSLMutex  sem
   SSLRandomSeed startup builtin
   SSLRandomSeed connect builtin
   SSLLog      logs/ssl_engine_log
   SSLLogLevel info
</IfModule>

/etc/apache/conf/buchhaltung.conf
---------------------------------
<VirtualHost *:443>
     Servername buchhaltung.thiam.ch
     ServerAdmin [email-masked]
     DocumentRoot /home/httpd/svhosts/buchhaltung
     ErrorLog /var/log/apache/buchhaltung.thiam.ch-error.log
     CustomLog /var/log/apache/buchhaltung.thiam.ch-access.log common
     TransferLog /var/log/apache/buchhaltung.thiam.ch-access.log
     # SSL-Aktivierung
     SSLEngine on
     SSLCipherSuite 
ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
     SSLCertificateFile conf/ssl/server.crt
     SSLCertificateKeyFile conf/ssl/server.key
     #SSLCertificateFile /etc/apache/conf/ssl/apache.pem
     SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown
     RewriteEngine On
     RewriteOptions inherit
#    Options +Indexes
#    IndexOptions FancyIndexing
#   <IfModule mod_dir.c>
#     DirectoryIndex home.html home.php home.htm home.cgi index.html 
index.php index.htm index.cgi
#   </IfModule>
#    <IfModule mod_php3.c>
#      php3_magic_quotes_gpc Off
#      php3_track_vars On
#      php3_include_path .
#    </IfModule>
#    <IfModule mod_php4.c>
#      php_flag magic_quotes_gpc Off
#      php_flag track_vars On
#      php_flag register_globals On
#      php_value include_path .
#    </IfModule>
</VirtualHost>
Alias /buchhaltung /home/httpd/svhosts/buchhaltung
<Directory /home/httpd/svhosts/buchhaltung/>
         Options +Indexes
         IndexOptions FancyIndexing
         SSLRequireSSL
         SSLRequire %{SSL_CIPHER_USEKEYSIZE} >= 128
    <IfModule mod_dir.c>
      DirectoryIndex home.html home.php home.htm home.cgi index.html 
index.php index.htm index.cgi
    </IfModule>
         <IfModule mod_php3.c>
           php3_magic_quotes_gpc Off
           php3_track_vars On
           php3_include_path .
         </IfModule>
         <IfModule mod_php4.c>
           php_flag magic_quotes_gpc Off
           php_flag track_vars On
           php_flag register_globals On
           php_value include_path .
         </IfModule>
         order deny,allow
         deny from all
         allow from all
</Directory>

Somebody ideas?

Cheers,

Thiemo

-- 
root ist die Wurzel allen Übels

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]